MetadataRecord
Date: 2017-06-10

org.gcube.informationsystem.collector.stubs.metadata

## Class MetadataRecord

- java.lang.Object
- - org.gcube.informationsystem.collector.stubs.metadata.MetadataRecord

-     public final class MetadataRecord
      extends java.lang.Object

  Metadata Record for gCube Profiles and Instance States
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MetadataRecord.TYPE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Document` | `getAsDocument()` Gets a `Document` representation of the record
    `java.lang.String` | `getEntryKey()`
    `java.util.Calendar` | `getGetTerminationTime()`
    `java.lang.String` | `getGroupKey()`
    `java.lang.String` | `getKey()`
    `java.lang.String` | `getPublicationMode()`
    `java.lang.String` | `getSource()`
    `java.lang.Integer` | `getTimeToLive()`
    `MetadataRecord.TYPE` | `getType()`
    `void` | `setEntryKey(java.lang.String entryKey)`
    `void` | `setGroupKey(java.lang.String groupKey)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setNamespace(java.lang.String namespace)`
    `void` | `setPublicationMode(java.lang.String publicationMode)`
    `void` | `setSource(java.lang.String source)`
    `void` | `setTimeToLive(java.lang.Integer time)`
    `void` | `setType(MetadataRecord.TYPE type)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getGetTerminationTime

          public java.util.Calendar getGetTerminationTime()

      Returns:
        the getTerminationTime

    - #### setTimeToLive

          public void setTimeToLive(java.lang.Integer time)

      Parameters:
        `time` - this amount of time (in seconds) will be added to the current time to determine the resource's termination time

    - #### getSource

          public java.lang.String getSource()

      Returns:
        the source

    - #### setSource

          public void setSource(java.lang.String source)

      Parameters:
        `source` - the source to set

    - #### getKey

          public java.lang.String getKey()

      Returns:
        the key

    - #### setKey

          public void setKey(java.lang.String key)

      Parameters:
        `key` - the key to set

    - #### getGroupKey

          public java.lang.String getGroupKey()

      Returns:
        the groupKey

    - #### setGroupKey

          public void setGroupKey(java.lang.String groupKey)

      Parameters:
        `groupKey` - the groupKey to set

    - #### getEntryKey

          public java.lang.String getEntryKey()

      Returns:
        the entryKey

    - #### setEntryKey

          public void setEntryKey(java.lang.String entryKey)

      Parameters:
        `entryKey` - the entryKey to set

    - #### getType

          public MetadataRecord.TYPE getType()

      Returns:
        the type

    - #### setType

          public void setType(MetadataRecord.TYPE type)

      Parameters:
        `type` - the type to set

    - #### getTimeToLive

          public java.lang.Integer getTimeToLive()

      Returns:
        the time to live in seconds

    - #### getAsDocument

          public org.w3c.dom.Document getAsDocument()
                                             throws org.xml.sax.SAXException,
                                                    java.io.IOException,
                                                    javax.xml.parsers.ParserConfigurationException

      Gets a `Document` representation of the record
      Returns:
        a document object representing the record as XML document
      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`
        `javax.xml.parsers.ParserConfigurationException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getPublicationMode

          public java.lang.String getPublicationMode()

    - #### setPublicationMode

          public void setPublicationMode(java.lang.String publicationMode)

    - #### setNamespace

          public void setNamespace(java.lang.String namespace)